Subject: Re: [PATCH 02/18] flag parameters: socket and socketpair

From: Ulrich Drepper <[email-masked]>
Date: Mon, 05 May 2008 20:10:46 -0700

Andrew Morton wrote:
> What I meant was "what does this whole patchset do"?  Believe it or not,
> for a new reader, that is somewhat unobvious.  Perhaps one could work it out
> with sufficient googling and thread-trolling.

It adds flag parameters in all the places where none is present to
control aspects of the returned file descriptor(s).  So far atomic
close-on-exec and setting non-blocking mode are implemented.  More can
follow if wanted.  Similar to the O_CLOEXEC and F_DUPFD_CLOEXEC
extensions which I wrote several moons ago.  Just two weeks ago I pointed at

   http://bugzilla.redhat.com/show_bug.cgi?id=443321

as a case which we cannot really fix without these kind of extensions.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖